For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
            • GETList Quotes
            • POSTCreate Quote
            • GETList B2B Quote Custom Shipping Methods
            • POSTSend Quote Email
            • GETList Quote Extra Fields Configs
            • GETGet Quote Details
            • PUTUpdate Quote
            • DELDelete Quote
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • PUTSelect Shipping Rate for Quote
            • DELRemove Selected Shipping Rate from Quote
            • GETGet Available Shipping Rates for Quote
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementQuotes

Delete Quote

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/rfq/:quote_id
DELETE
/api/v3/io/rfq/:quote_id
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/rfq/123456 \
> -H "X-Auth-Token: <apiKey>"
200Deleted
1{
2 "code": 200,
3 "data": {},
4 "message": "SUCCESS"
5}
Permanently deletes a specific quote based on the provided `quote_id`. If you want to hide a quote from a buyer without deleting it, you can archive it by sending `"status": "archived"` in the request body of the [Update a Quote](#update-quote) endpoint. You can also archive quotes from the **Quotes** area of your B2B Edition control panel. See [Managing Sales Quotes in B2B Edition (Help Center)](https://support.bigcommerce.com/s/article/B2B-Edition-Quotes) for more information.
Was this page helpful?
Previous

Update Quote

Next

Generate Cart and Checkout URL for Quote

Built with

Permanently deletes a specific quote based on the provided quote_id.

If you want to hide a quote from a buyer without deleting it, you can archive it by sending "status": "archived" in the request body of the Update a Quote endpoint. You can also archive quotes from the Quotes area of your B2B Edition control panel. See Managing Sales Quotes in B2B Edition (Help Center) for more information.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Response

OK
codedoubleDefaults to 200
HTTP Response Code
dataobject
messagestringDefaults to SUCCESS